org.apache.maven.artifact

## Class InvalidRepositoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.artifact.InvalidRepositoryException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidRepositoryException
    extends java.lang.Exception

Error constructing an artifact repository.

Version:
  $Id: InvalidRepositoryException.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Brett Porter
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidRepositoryException(java.lang.String message, java.lang.Throwable throwable)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidRepositoryException

    public InvalidRepositoryException(java.lang.String message,
                              java.lang.Throwable throwable)